﻿Imports Infragistics.Win.UltraWinEditors
Imports Infragistics.Documents.Excel
Imports Infragistics.Win.CalcEngine

Public Class Form1

    Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        'Set Culture
        'Dim sCulture As String = "EN" 'works fine
        Dim sCulture As String = "DE"


        Application.CurrentCulture = System.Globalization.CultureInfo.CreateSpecificCulture(sCulture)
        System.Threading.Thread.CurrentThread.CurrentCulture = Application.CurrentCulture
        System.Threading.Thread.CurrentThread.CurrentUICulture = Application.CurrentCulture


        Me.UltraGrid1.TextRenderingMode = Infragistics.Win.TextRenderingMode.GDI
        'Me.UltraTextEditor1.Text = "D:\temp"
        Me.UltraTextEditor1.Text = IO.Directory.GetParent(IO.Directory.GetParent(IO.Directory.GetParent(My.Application.Info.DirectoryPath).ToString()).ToString()).ToString()


    End Sub
    Private Sub btnStartExport_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnStartExport.Click
        Dim oWb As New Workbook
        Me.UltraGridExcelExporter1.ExportFormulas = True
        Me.UltraGridExcelExporter1.FileLimitBehaviour = Infragistics.Win.UltraWinGrid.ExcelExport.FileLimitBehaviour.TruncateData


        For Each oIf As IO.FileInfo In New IO.DirectoryInfo(Me.UltraTextEditor1.Text).GetFiles("Data_*.xml")

            Dim dt As New DataTable
            dt.ReadXml(oIf.FullName)
            Me.UltraGrid1.DataSource = dt
            Me.UltraGrid1.DisplayLayout.LoadFromXml(Replace(oIf.FullName, "Data_", "Layout_"), Infragistics.Win.UltraWinGrid.PropertyCategories.All)

            'Dim oWS As Infragistics.Excel.Worksheet
            'oWS = oWb.Worksheets.Add(Guid.NewGuid.ToString("N").Substring(0, 25))
            Me.UltraGridExcelExporter1.Export(Me.UltraGrid1, oWb, 2, 2)

        Next

        oWb.Save("D:\TestEx.xls")
        Process.Start("D:\TestEx.xls")
    End Sub

    Private Sub UltraGridExcelExporter1_FormulaExportError(ByVal sender As Object, ByVal e As Infragistics.Win.UltraWinGrid.ExcelExport.FormulaExportErrorEventArgs) Handles UltraGridExcelExporter1.FormulaExportError
        'MessageBox.Show(e.ErrorText & vbCrLf & vbCrLf & "GridFormula: " & vbCrLf & e.GridFormula & vbCrLf & vbCrLf & "ExcelFormula: " & vbCrLf & e.ExcelFormula, "FormulaExportError", MessageBoxButtons.OK, MessageBoxIcon.Error)
    End Sub
End Class
